Routines
{
8000 Golden Torizo colour setting routine
8032 [data] Golden Torizo colour table 1
8132 [data] Golden Torizo colour table 2
8232 Custom graphic
8250 Clear sound check
8258 Unused. Clear sound check
8270 Play spin-jump sound
8278 Unused. Play spin-jump sound
8290 Get PLM co-ordinates
82B4 Write block type and BTS
82D6 Write a row of block and BTS
831A X-ray: look up special graphics
839D [data] Pointers to graphics (A2DF, A2F1, A2FD, A303, A30F, A31B, A327, A333)
83AD Enable PLM processing
83B8 Disable PLM processing
83C3 Delete all PLMs
83D7 Spawn PLM [PC+2]
8469 RTS
846A Load room PLMs
84E6 RTS
84E7 Spawn PLM
853D RTS
853E Spawn PLM at enemy location
85B3 RTS
85B4 Process PLMs
85DA Process existing PLM
861E Set PLM block properties
}

Instructions
{
86B4 Instruction. Wait
86BC Instruction. Delete PLM
86C1 Instruction. Set pre-instruction code
86CA Instruction. Disable pre-instruction code
86D1 Instruction. Unused. Call external JSL, backs up Y
86EB Instruction. Unused. Call external JSL with argument, backs up Y
870B Instruction. Call external JSL, backs up X and Y
8724 Instruction. Go to command for instructions
8729 Instruction. Unused. BRA for instructions
873F Instruction. Conditional goto: decrement counter (1D77), BNE argument
8747 Instruction. Unused. Conditional branch: decrement counter (1D77), BNE argument
874E Instruction. Set counter (1D77) to 1-byte argument
875A Instruction. Unused. Set counter (1D77) to 2-byte argument
8763 RTS
8764 Instruction. Load graphics
87E5 Instruction. Transfer stuff to VRAM
880E Instruction. Go to if boss bits in current area
8821 Instruction. Unused. Set boss bits for current area
882D Instruction. Go to if event bit set
883E Instruction. Set event bit
8848 Instruction. Go to argument if room argument's boss bit is set
8865 Instruction. Set room argument's boss bit
887C Instruction. Go to argument if room argument's item bit is set
8899 Instruction. Set room argument's item bit
88B0 Instruction. Pickup beam item (2 bytes) then display message box (1 byte). Equips it, toggles spazer/plasma, updates graphics
88F3 Instruction. Pickup equipment (2 bytes) then display message box (1 byte) and resume music
891A Instruction. Pickup grapple. Grapple message box displayed and resume music
8941 Instruction. Pickup X-ray scope. X-ray message box displayed and resume music
8968 Instruction. Pickup Energy Tank. Energy tank message displayed and resume music
8986 Instruction. Pickup Reserve Tank. Reserve tank message displayed and resume music
89A9 Instruction. Pickup Missile Tank. Missile tank message displayed and resume music
89D2 Instruction. Pickup Super Missile Tank. Super missile tank message displayed and resume music
89FB Instruction. Pickup Power Bomb Tank. Power bomb tank message displayed and resume music
8A24 Instruction. Set goto/return pointer
8A2E Instruction. JSR for instructions
8A3A Instruction. RTS for instructions
8A40 Instruction. Unused. Wait until the first enemy in the room (should be DAFF) dies?
8A59 Instruction. Unused. Wait until the second enemy in the room (should be DAFF) dies?
8A72 Instruction. Goto argument if room argument's door bit is set
8A91 Instruction. Increment counter (DF0C), if it's passed the first argument set room argument's door and goto second argument. Also stop pre-instruction code
8ACD Instruction. Increment room argument, if it exceeds first argument, goto second argument. Clears pre-instruction code
8AF1 Instruction. Store argument to PLM's BTS
8B05 Instruction. Clone of 8B17
8B17 Instruction. Draw block at PLM using 1E17. DE6C gets overwritten, on-screen graphic is refreshed
8B55 Instruction. Update scrolling in the room by following room argument as a pointer. Main part of a scroll PLM
8B93 Instruction. Same as normal scroll update but for a crumble blocktype instead of treadmill blocktype
8BD1 Instruction. Unused. Switch song track to argument
8BDD Instruction. Clear out music queue, THEN switch song track to argument
8C07 Instruction. Play a sound from library 1
8C10 Instruction. Play a sound from library 2
8C19 Instruction. Play a sound from library 3
8C22 Instruction. Unused. Play a sound from library 1, allow full queue
8C2B Instruction. Unused. Play a sound from library 2, allow full queue
8C34 Instruction. Unused. Play a sound from library 3, allow full queue
8C3D Instruction. Unused. Play a sound from library 3, short queue only
8C46 Instruction. Play a sound from library 2, short queue only
8C4F Instruction. Unused. Play a sound from library 3, short queue only
8C58 Instruction. Unused. Play a sound from library 1, long queue allowed
8C61 Instruction. Unused. Play a sound from library 2, long queue allowed
8C6A Instruction. Unused. Play a sound from library 3, long queue allowed
8C73 Instruction. Unused. Play a sound from library 1, no queue allowed
8C7C Instruction. Play a sound from library 2, no queue allowed
8C85 Instruction. Unused. Play a sound from library 3, no queue allowed
8C8E RTS
8C8F Instruction. Set map of current area as collected. Also message box
8CAF Instruction. Energy station; restore health, display message box, resume gameplay controls
8CD0 Instruction. Missile station; restore missiles, display message box, resume gameplay controls
8CF1 Instruction. Save station check. Pop up a message box, if saving do some saving stuff and continue, otherwise goto argument
8D39 Instruction. Unused. Waits 6 seconds then resumes music
8D41 Instruction. If Samus's center is inside of hitbox, goto third argument, else continue
8D89 Instruction. Unused. Move PLM down 1 block
8D97 RTS
8D98 Instruction. Unused. Broken. Unknown PLM instruction
8DA0 Instruction. Unused. Broken. Unknown PLM draw instruction
8DA6 Draw PLM with custom draw pointer and screen start positions
8DAA Draw PLM
}

Draw
{
924D Draw. Instructions D0EC
9253 Draw. Instructions BB19
925B Draw. Instructions B9A2
9265 Draw. Instructions B9A2
926F Draw. Instructions B9A2
9279 Draw. Instructions B9A2
9283 Draw. Instructions B919
9297 Draw. Instructions AAE5
92A3 Draw. Instructions AAE5
92AF Draw. Instructions AAE5
92BB Draw. Instructions AAE5
92C7 Draw. Instructions AB0C
930F Draw. Instructions AB67
9325 Draw. Unused
933B Draw. Unused
9351 Draw. Unused
9367 Draw. Instructions AB6D, AB7F, AB91, ABA9
936D Draw. Instructions AB6D, AB7F, AB91, ABA9
9373 Draw. Instructions AB6D, AB7F, AB91, ABA9
9379 Draw. Instructions AB6D
937F Draw. Instructions AB7F
9385 Draw. Instructions AB91
938B Draw. Unused
9391 Draw. Instructions ABA9
9397 Draw. Instructions ABA9
939D Draw. Instructions ABA3
93BF Draw. Instructions ABDD
93EF Draw. Instructions B77B
9407 Draw. Instructions B785
9413 Draw. Instructions AB12
9423 Draw. Instructions AB12
9433 Draw. Instructions AB12
9443 Draw. Instructions AB12
9453 Draw. Instructions ABE3
9463 Draw. Instructions ABE9
9473 Draw. Instructions ABEF, BB3A, BB44
947F Draw. Instructions BB3A, BB44
948B Draw. Instructions ABEF, BB34, BB44
9497 Draw. Instructions ABF9
949D Draw. Instructions ABFF
94A3 Draw. Instructions AC05
94B1 Draw. Instructions AC0B
94C9 Draw. Unused
94E7 Draw. Unused
9505 Draw. Instructions AC11
9523 Draw. Instructions AC17
9541 Draw. Instructions AC1D
955F Draw. Instructions AC23
957D Draw. Instructions AC29
959B Draw. Instructions AC2F
95B9 Draw. Instructions AC35
95D7 Draw. Instructions AC3B
95F5 Draw. Instructions AC41
9613 Draw. Instructions AC47
9631 Draw. Instructions AC4D
964F Draw. Instructions AC53
966D Draw. Instructions AC59
968B Draw. Instructions AC5F
96A9 Draw. Instructions AC68
96B1 Draw. Instructions AC6B
96BF Draw. Instructions AC71
96CB Draw. Instructions AC77
96EF Draw. Instructions AC7D
9703 Draw. Instructions AC83
9717 Draw. Instructions D202
971D Draw. Instructions D202
9731 Draw. Instructions D202
9745 Draw. Instructions D202
974F Draw. Instructions D202
9769 Draw. Instructions D202
9781 Draw. Instructions D202
978F Draw. Instructions D202
97B7 Draw. Instructions D202
97E7 Draw. Instructions D202
9817 Draw. Instructions D202
9847 Draw. Unused
9877 Draw. Instructions D368
9897 Draw. Unused
989D Draw. Instructions D368
98D1 Draw. Instructions D4D4
98D7 Draw. Instructions D4D4
98DD Draw. Instructions D4D4
98E3 Draw. Instructions D519
9953 Draw. Instructions D519
9991 Draw. Instructions D4D4
99E5 Draw. Instructions D4D4
9A3F Draw. Instructions AFE8
9A6F Draw. Instructions AFEE
9A9F Draw. Instructions AFEE
9ACF Draw. Instructions B03E
9AED Draw. Instructions B044
9B0B Draw. Instructions D490
9B1B Draw. Instructions D490
9B2B Draw. Instructions D490
9B3B Draw. Instructions D490
9B4B Draw. Instructions D490
9B5B Draw. Instructions AFCA
9B73 Draw. Instructions AFD0
9B79 Draw. Instructions AFD6
9B7F Draw. Instructions AFDC
9BBB Draw. Instructions AFE2
9BF7 Draw. Instructions D81E
9C03 Draw. Instructions D81E
9C0B Draw. Instructions D81E
9C13 Draw. Instructions D81E
9C1B Draw. Instructions D81E
9C23 Draw. Instructions D81E
9C2B Draw. Instructions D81E
9C31 Draw. Instructions D81E
9C37 Draw. Instructions D81E
9C3D Draw. Instructions D81E
9C43 Draw. Instructions D81E
9C49 Draw. Instructions D81E
9C4F Draw. Instructions D955
9C5B Draw. Instructions D955
9C63 Draw. Instructions D955
9C6B Draw. Instructions D955
9C73 Draw. Instructions D955
9C7B Draw. Instructions D955
9C83 Draw. Instructions D955
9C89 Draw. Instructions D955
9C8F Draw. Instructions D955
9C95 Draw. Instructions DA56
9C9B Draw. Instructions DA56
9CA1 Draw. Instructions DA56
9CA7 Draw. Instructions D44E
9CAD Draw. Unused
9CB3 Draw. Unused
9CB9 Draw. Unused
9CBF Draw. Instructions D44E
9CC5 Draw. Instructions D3CF
9D0F Draw. Instructions D3EC
9D59 Draw. Instructions D426
9D7D Draw. Instructions D426
9DA1 Draw. Instructions D426
9DC5 Draw. Instructions D426
9DE9 Draw. Instructions D426
9E0D Draw. Instructions ACB8
9E29 Draw. Unused
9E45 Draw. Instructions ACB8
9E61 Draw. Instructions ACB8
9E7D Draw. Instructions ACB8
9E99 Draw. Instructions ACF8
9EB5 Draw. Unused
9ED1 Draw. Instructions ACF8
9EED Draw. Instructions ACF8
9F09 Draw. Instructions ACF8
9F25 Draw. Instructions AD62
9F31 Draw. Instructions AD62
9F3D Draw. Instructions AD62
9F49 Draw. Instructions AD86
9F55 Draw. Instructions AD86
9F5B Draw. Instructions ADA4
9F67 Draw. Instructions ADA4
9F6D Draw. Instructions ADC2
9F79 Draw. Instructions ADC2
9F85 Draw. Instructions ADC2
9F91 Draw. Instructions AE4C
9F9D Draw. Instructions AE4C
9FA9 Draw. Instructions AE4C
9FB5 Draw. Instructions ADF1, AE7B
9FBB Draw. Instructions ADF1, AE7B
9FC1 Draw. Instructions AE13, AE9D
9FC7 Draw. Instructions AE13, AE9D
9FCD Draw. Instructions DCDE
9FDD Draw. Instructions DCDE
9FED Draw. Instructions DD27
9FFD Draw. Instructions DD27
A00D Draw. Instructions DD70
A01D Draw. Instructions DD70
A02D Draw. Instructions DCDE
A03D Draw. Instructions DCDE
A04D Draw. Instructions DCDE
A05D Draw. Instructions DCDE
A06D Draw. Instructions DD27
A07D Draw. Instructions DD27
A08D Draw. Instructions DD27
A09D Draw. Instructions DD27
A0AD Draw. Instructions DD70
A0BD Draw. Instructions DD70
A0CD Draw. Instructions DD70
A0DD Draw. Instructions DD70
A0ED Draw. Instructions DDB9
A101 Draw. Instructions DDB9
A115 Draw. Instructions DE02
A129 Draw. Instructions DE02
A13D Draw. Instructions DE4B
A151 Draw. Instructions DE4B
A165 Draw. Instructions DDB9
A179 Draw. Instructions DDB9
A18D Draw. Instructions DDB9
A1A1 Draw. Instructions DDB9
A1B5 Draw. Instructions DE02
A1C9 Draw. Instructions DE02
A1DD Draw. Instructions DE02
A1F1 Draw. Instructions DE02
A205 Draw. Instructions DE4B
A219 Draw. Instructions DE4B
A22D Draw. Instructions DE4B
A241 Draw. Instructions DE4B
A255 Draw. Instructions AED8
A25D Draw. Instructions AED8
A265 Draw. Instructions AED8
A26D Draw. Instructions AED8
A275 Draw. Instructions AF1E
A285 Draw. Instructions AF1E
A295 Draw. Instructions AF1E
A2A5 Draw. Instructions AF1E
A2B5 Draw. Instructions AADF, D13F, DFA9, DFC7, DFD7, E032, A2B5, E47C, E4AE, E4E0, E512, E54D, E588, E5C3, E5FE, E642, E67D, E6B8, E6F3, E735, E777, E7B1, E7EC, E826, E861, E89C, E8D7
A2BB Draw. Unused
A2C1 Draw. Unused
A2C7 Draw. Instructions A2C7
A2CD Draw. Instructions A2C7
A2D3 Draw. Instructions A2C7
A2D9 Draw. Instructions DFC7
A2DF Draw. Instructions E099, E44A, E911
A2E5 Draw. Instructions E099, E44A, E911
A2EB Draw. Instructions E0BE, A47C, E949
A2F1 Draw. Instructions E0BE, A47C, E949
A2F7 Draw. Instructions E0E3, E4AE, E981
A2FD Draw. Instructions E0E3, E4AE, E981
A303 Draw. Instructions E108, E4E0, E9B9
A309 Draw. Instructions E108, E4E0, E9B9
A30F Draw. Instruction E04F
A315 Draw. Instruction E067
A31B Draw. Instruction E04F
A321 Draw. Instruction E067
A327 Draw. Instruction E04F
A32D Draw. Instruction E067
A333 Draw. Instruction E04F
A339 Draw. Instruction E067
A33F Draw. Instructions D121
A345 Draw. Instructions AB31, C92E, C92E, C951, C974, C997, C9BA, C9CF, C9E4, C9F9, CA8B, CADF, CB71, CB94, CBB7, CC0B, CC20, CC35, CCE3, CD53, D0F6, E032
A34B Draw. Instructions AB31, C92E, C92E, C951, C974, C997, C9BA, C9CF, C9E4, C9F9, CA8B, CADF, CB71, CB94, CBB7, CC0B, CC20, CC35, CCE3, CD53, D0F6, E032
A351 Draw. Instructions AB31, C92E, C92E, C951, C974, C997, C9BA, C9CF, C9E4, C9F9, CA8B, CADF, CB71, CB94, CBB7, CC0B, CC20, CC35, CCE3, CD53, D0F6, E032
A357 Draw. Instructions AB31, C92E, C92E, C951, C974, C997, C9BA, C9CF, C9E4, C9F9, CA8B, CADF, CB71, CB94, CBB7, CC0B, CC20, CC35, CCE3, CD53, D0F6, E032
A35D Draw. Instructions CA1C, CA8B, CB02, CBCC, CC5F, CCFF
A365 Draw. Instructions CA1C, CA8B, CB02, CBCC, CC5F, CCFF
A36D Draw. Instructions CA1C, CA8B, CB02, CBCC, CC5F, CCFF
A375 Draw. Instructions CA1C, CA8B, CB02, CBCC, CC5F, CCFF
A37D Draw. Instructions CA41, CAB5, CB27, CBE1, CC8B, CD1B
A385 Draw. Instructions CA41, CAB5, CB27, CBE1, CC8B, CD1B
A38D Draw. Instructions CA41, CAB5, CB27, CBE1, CC8B, CD1B
A395 Draw. Instructions CA41, CAB5, CB27, CBE1, CC8B, CD1B
A39D Draw. Instructions CA66, CACA, CB4C, CBF6, CCB7, CD37
A3AD Draw. Instructions CA66, CACA, CB4C, CBF6, CCB7, CD37
A3BD Draw. Instructions CA66, CACA, CB4C, CBF6, CCB7, CD37
A3CD Draw. Instructions CA66, CACA, CB4C, CBF6, CCB7, CD37
A3DD Draw. Instructions E007, E020
A3E3 Draw. Instructions E007, E020
A3E9 Draw. Instructions E007, E020
A3EF Draw. Unused
A3F5 Draw. Unused
A3FD Draw. Unused
A405 Draw. Unused
A40D Draw. Unused
A415 Draw. Unused
A41D Draw. Unused
A425 Draw. Unused
A42D Draw. Unused
A435 Draw. Unused
A445 Draw. Unused
A455 Draw. Unused
A465 Draw. Unused
A475 Draw. Instructions C8D4
A47B Draw. Instructions C8DA, CB02
A483 Draw. Instructions C8E0, CB27
A48B Draw. Instructions C8E6, CB4C
A49B Draw. Instructions C8EC
A4A1 Draw. Instructions C8F2, CA1C
A4A9 Draw. Instructions C8F8, CA41
A4B1 Draw. Instructions C8FE, CA66
A4C1 Draw. Instructions C904
A4C7 Draw. Instructions C90A, CC5F
A4CF Draw. Instructions C910, CC8B
A4D7 Draw. Instructions C916, CCB7
A4E7 Draw. Instructions C91C
A4ED Draw. Instructions C922
A4F3 Draw. Instructions C928
A4F9 Draw. Instructions CD6A, CDA9, D135
A4FF Draw. Instructions CD6A, CDA9
A505 Draw. Instructions CD6A, CDA9
A50B Draw. Instructions CD6A, CDA9
A511 Draw. Instructions CD6A, CDA9
A517 Draw. Instructions BC13
A525 Draw. Instructions BC13
A533 Draw. Instructions BC13
A541 Draw. Instructions BC13
A54F Draw. Instructions BC13
A55D Draw. Instructions BC13
A56B Draw. Instructions BC61
A57D Draw. Instructions BC61
A58F Draw. Instructions BC61
A5A1 Draw. Instructions BC61
A5B3 Draw. Instructions BC61
A5C5 Draw. Instructions BC61
A5D7 Draw. Instructions BCAF
A5E3 Draw. Instructions BCB5
A5EB Draw. Instructions BCBB
A5F7 Draw. Instructions BCC1
A5FF Draw. Instructions BCC7
A60B Draw. Instructions BCCD
A613 Draw. Instructions BCD3
A61F Draw. Instructions BCD9
A627 Draw. Instructions BCDF
A633 Draw. Instructions BCE5
A63B Draw. Instructions BCEB
A647 Draw. Instructions BCF1
A64F Draw. Instructions BCF7
A65B Draw. Instructions BCFD
A663 Draw. Instructions BD03
A66F Draw. Instructions BD09
A677 Draw. Instructions BE59, BFFD, C185, C301, C489, C49E
A683 Draw. Instructions BA4C, BA7F, BEC2, C060, C1E4, C363, C4BA, C4CF
A68F Draw. Instructions BF2B, C0C3, C243, A68F, C4EB, C500
A69B Draw. Instructions BF94, C122, C2A2, C427, C51C, C531
A6A7 Draw. Instructions BE59
A6B3 Draw. Instructions BE59
A6BF Draw. Instructions BE59
A6CB Draw. Instructions BE59
A6D7 Draw. Instructions BA4C, BA7F, BEC2
A6E3 Draw. Instructions BA4C, BA7F, BEC2
A6EF Draw. Instructions BA4C, BA7F, BEC2
A6FB Draw. Instructions BA4C, BA7F, BEC2
A707 Draw. Instructions BF2B
A713 Draw. Instructions BF2B
A71F Draw. Instructions BF2B
A72B Draw. Instructions BF2B
A737 Draw. Instructions BF94
A743 Draw. Instructions BF94
A74F Draw. Instructions BF94
A75B Draw. Instructions BF94
A767 Draw. Instructions BFFD
A773 Draw. Instructions BFFD
A77F Draw. Instructions BFFD
A78B Draw. Instructions BFFD
A797 Draw. Instructions C060
A7A3 Draw. Instructions C060
A7AF Draw. Instructions C060
A7BB Draw. Instructions C060
A7C7 Draw. Instructions C0C3
A7D3 Draw. Instructions C0C3
A7DF Draw. Instructions C0C3
A7EB Draw. Instructions C0C3
A7F7 Draw. Instructions C122
A803 Draw. Instructions C122
A80F Draw. Instructions C122
A81B Draw. Instructions C122
A827 Draw. Instructions C185
A833 Draw. Instructions C185
A83F Draw. Instructions C185
A84B Draw. Instructions C185
A857 Draw. Instructions C1E4
A863 Draw. Instructions C1E4
A86F Draw. Instructions C1E4
A87B Draw. Instructions C1E4
A887 Draw. Instructions C243
A893 Draw. Instructions C243
A89F Draw. Instructions C243
A8AB Draw. Instructions C243
A8B7 Draw. Instructions C2A2
A8C3 Draw. Instructions C2A2
A8CF Draw. Instructions C2A2
A8DB Draw. Instructions C2A2
A8E7 Draw. Instructions C301
A8F3 Draw. Instructions C301
A8FF Draw. Instructions C301
A90B Draw. Instructions C301
A917 Draw. Instructions C363
A923 Draw. Instructions C363
A92F Draw. Instructions C363
A93B Draw. Instructions C363
A947 Draw. Instructions C3C5
A953 Draw. Instructions C3C5
A95F Draw. Instructions C3C5
A96B Draw. Instructions C3C5
A977 Draw. Instructions C427
A983 Draw. Instructions C427
A98F Draw. Instructions C427
A99B Draw. Instructions C427
A9A7 Draw. Instructions D81E
A9B3 Draw. Instructions BE59, BFFD, C185, C301, C49E
A9BF Draw. Instructions C489, C49E
A9CB Draw. Instructions C489, C49E
A9D7 Draw. Instructions C489, C49E
A9E3 Draw. Instructions D955
A9EF Draw. Instructions BA7F, BEC2, C060, C1E4, C363
A9FB Draw. Instructions C4BA, C4CF
AA07 Draw. Instructions C4BA, C4CF
AA13 Draw. Instructions C4BA, C4CF
AA1F Draw. Unused
AA2B Draw. Instructions BF2B, C0C3, C243, C3C5, C500
AA37 Draw. Instructions C4EB, C500
AA43 Draw. Instructions C4EB, C500
AA4F Draw. Instructions C4EB, C500
AA5B Draw. Unused
AA67 Draw. Instructions BF94, C122, C2A2, AA67, C531
AA73 Draw. Instructions C51C, C531
AA7F Draw. Instructions C51C, C531
AA8B Draw. Instructions C51C, C531
AA97 Draw. Instructions AFB6
AAAF Draw. Instructions AFB6
AAC7 Draw. Instructions AFB6
}

Instruction lists
{
AADF Instructions. Unused
AAE3 Instructions. Do not make
AAE5 Instructions. PLM B733
AB00 Instruction. Move PLM down 1 block
AB0C Instructions. PLM B777
AB12 Instructions. PLM B78F
AB27 Setup. RTS
AB28 Setup. Don't run first instruction for 40 frames
AB31 Instructions. PLM B79B
AB51 Instruction. Set first two screens of room to scroll 1
AB59 Instruction. Move PLM down 1 block
AB67 Instructions. PLM B797
AB6D Instructions. PLM B7A3
AB7F Instructions. PLM B7AB
AB91 Instructions. PLM B7B3
ABA3 Instructions. PLM B7B7
ABA9 Instructions. PLM B7BF
ABD6 Instruction. Move PLM right 1 block
ABDD Instructions. PLM B7BB
ABE3 Instructions. PLM B65F
ABE9 Instructions. PLM B663
ABEF Instructions. PLM B667
ABF9 Instructions. PLM B66B
ABFF Instructions. PLM B66F
AC05 Instructions. PLM B673
AC0B Instructions. PLM B677
AC11 Instructions. PLM B67B
AC17 Instructions. PLM B67F
AC1D Instructions. PLM B683
AC23 Instructions. PLM B687
AC29 Instructions. PLM B68B
AC2F Instructions. PLM B68F
AC35 Instructions. PLM B693
AC3B Instructions. PLM B697
AC41 Instructions. PLM B69B
AC47 Instructions. PLM B69F
AC4D Instructions. PLM B6A3
AC53 Instructions. PLM B6A7
AC59 Instructions. PLM B6AB
AC5F Instructions. PLM B6AF
AC65 Instructions. PLM B6B3
AC6B Instructions. PLM B6B7
AC71 Instructions. PLM B6BB
AC77 Instructions. PLM B6BF
AC7D Instructions. PLM B6C3
AC83 Instructions. PLM B6C7
AC89 Pre-instruction. Move Samus, give Samus 10 frames of invincibility
AC9D Instruction. Do 2 atmospheric damage to Samus
ACB1 Instruction. Set Samus's invincibility timer to 30 frames
ACB8 Instructions. PLM B6CB
ACF8 Instructions. PLM B6CF
AD38 Instructions. PLM B64B
AD43 Instruction. Write 38 blocks of treadmill type 8
AD4D Instructions. PLM B64F
AD58 Instruction. Write 38 blocks of treadmill type 9
AD62 Instructions. PLM B6D3
AD86 Instructions. PLM B6D7
ADA4 Instructions. PLM B6DB
ADC2 Instructions. PLM B6DF
ADF1 Instructions. PLM B6E3
AE13 Instructions. PLM B6E7
AE35 Instruction. Check health. If full, enable Samus's controls and go to argument
AE4C Instructions. PLM B6EB
AE7B Instructions. PLM B6EF
AE9D Instructions. PLM B6F3
AEBF Instruction. Check if Samus has full missiles. If so, enable controls and go to argument
AED6 Instructions. PLM B6F7
AED8 Instructions. Unused
AF1C Instructions. PLM B6FB
AF1E Instructions. Unused
AF62 Draw. Instructions AF86
AF68 Draw. Instructions AF92
AF6E Draw. Instructions AF9E
AF74 Draw. Instructions AFA4
AF7A Draw. Instructions AFAA
AF80 Draw. Instructions AFB0
AF86 Instructions. PLM B703
AF92 Instructions. PLM B707
AF9E Instructions. PLM B63F
AFA4 Instructions. PLM B63B
AFAA Instructions. PLM B647
AFB0 Instructions. PLM B643
AFB6 Instructions. PLM B70B
AFCA Instructions. PLM B747
AFD0 Instructions. PLM B74B
AFD6 Instructions. PLM B74F
AFDC Instructions. PLM B753
AFE2 Instructions. PLM B757
AFE8 Instructions. PLM B76F
AFEE Instructions. Unused
B00E Instruction. Start saving
B024 Instruction. Display 'Game Saved' message box
B030 Instruction. End saving
B03E Instructions. PLM B75B
B044 Instructions. PLM B75F
}

Setups
{
B04A Setup. Clear 38 horizontal blocks to air, starting at PLM's location
B05D Setup. Unused. Stack suicide routine
B08B Setup. Unused. Stack suicide 1
B0A6 Setup. Unused. Stack suicide 2
B0C1 Setup. Unused. Stack suicide 3
B0DC Setup. Delete PLM if Samus' right isn't lined up. Else Save Samus's position and make PLM normal solid (or possibly air)
B113 Setup. Delete PLM if Samus' left isn't lined up. Else Save Samus's position and make PLM normal solid (or possibly air)
B146 Setup. Delete PLM if Samus isn't lined up. Else if Samus' centre lines up with THIS PLM, wake up the PLM located at A, and pause(?) Samus
B18B Setup. Sets itself to solid, if map not collected, sets next and previous blocks' type and BTS (map station setup)
B1C8 Setup. Check to see if Samus is in the proper pose to hookup to a station. Else delete self
B1F0 Setup. Check to see if Samus is in the proper pose to hookup to a station. Else delete self
B21D Setup. Energy or Missile station setup, not sure. Sets blocks' type/BTS
B245 Setup. Energy or Missile station setup, not sure. Sets blocks' type/BTS
B26D Setup. Check if Samus is lined up with the energy station and doesn't have full energy
B29D Setup. Check if Samus is lined up with the energy station and doesn't have full energy
B2D0 Setup. Check if Samus is lined up with the missile station and doesn't have full energy
B300 Setup. Check if Samus is lined up with the missile station and doesn't have full energy
B333 Setup. Delete self
B33A Setup. Extend left block
B345 Setup. Extend right block
B350 Setup. Extend above block
B35B Setup. Extend below block
B366 Setup. Skip first four bytes of instructions
B371 Setup. (Scroll PLM setup). Sets block type 3, BTS 46h (scroll touch block), clears $1E17,X and skips first four bytes of instructions
B382 Setup. (Unused scroll PLM setup). Sets block type B, BTS 46h (scroll touch block), clears $1E17,X and skips first four bytes of instructions
B393 Setup. Find the (scroll) PLM on this spot, if it's triggerable, trigger it
B3C1 Setup. Change block type to solid (or possibly air)
B3D0 Setup. Clear carry
B3D2 Setup. Set carry
B3D4 Setup. Change block type to air
B3E3 Setup. Unused. Spawn ER projectile $A977. Curious what this is. Oh well
B3EB Setup. Set momentum subtraction multiplier to 10 if Samus is lined up vertically
B408 Setup. [TODO: refer to chatlogs] Seems to be some sort of vertical treadmill
B497 Setup. [TODO: refer to chatlogs] Vertical treadmill. What's 0AF4 do?
B4A8 Setup. [TODO: refer to chatlogs] Vertical treadmill, slightly faster
B4B6 Setup. [TODO: refer to chatlogs] Vertical treadmill. Significantly faster
B4C4 Setup. [TODO: refer to chatlogs] Quicksand stuff, I guess 
B541 Setup. [TODO: refer to chatlogs] Maridian quicksand?
B54F Setup. [TODO: refer to chatlogs] Maridian quicksand?
B551 Setup. Turn this and the 9 tiles below it to air
B56F Setup. Turn this and the 9 tiles below it to solid
B590 Setup. Save station trigger, I think... Checks if Samus is standing still in the right spot, wakes up a PLM at the same location
B5EE Setup. (Save station). Sets block type B, BTS 4Dh
B5F8 Setup. Create door after Mother Brain kill
}

PLM entries
{
B62F PLM. Don't make PLM
B633 PLM. Clear carry
B637 PLM. Unused. Set carry
B63B PLM. Continue from left
B63F PLM. Continue from right
B643 PLM. Continue from above
B647 PLM. Continue from below
B64B PLM. Wrecked ship entrance treadmill from west
B64F PLM. Wrecked ship entrance treadmill from east
B653 PLM. Nothing
B657 PLM. Nothing
B65B PLM. Nothing
B65F PLM. Unused
B663 PLM. Unused
B667 PLM. Unused
B66B PLM. Unused
B66F PLM. Unused
B673 PLM. Mother Brain fight wall-gap-fill blocks
B677 PLM. Used in $ECBF's enemy touch (Shitroid?)
B67B PLM
B67F PLM
B683 PLM
B687 PLM
B68B PLM
B68F PLM
B693 PLM
B697 PLM
B69B PLM
B69F PLM
B6A3 PLM
B6A7 PLM
B6AB PLM. Unused
B6AF PLM. Unused
B6B3 PLM
B6B7 PLM
B6BB PLM
B6BF PLM
B6C3 PLM
B6C7 PLM
B6CB PLM. Inside reaction, treadmill, BTS Brinstar 80h
B6CF PLM. Inside reaction, treadmill, BTS Brinstar 81h
B6D3 PLM. Map station
B6D7 PLM. Collision reaction, treadmill/crumble block, BTS 47h. Map station right access
B6DB PLM. Collision reaction, treadmill/crumble block, BTS 48h. Map station left access
B6DF PLM. Energy station
B6E3 PLM. Collision reaction, treadmill/crumble block, BTS 49h. Energy station right access
B6E7 PLM. Collision reaction, treadmill/crumble block, BTS 4Ah. Energy station left access
B6EB PLM. Missile station
B6EF PLM. Collision reaction, treadmill/crumble block, BTS 4Bh. Missile station right access
B6F3 PLM. Collision reaction, treadmill/crumble block, BTS 4Ch. Missile station left access
B6F7 PLM. Unused
B6FB PLM. Unused
B6FF PLM. Collision reaction, treadmill/crumble block, BTS 46h / inside reaction, treadmill, BTS 46h. Scroll block touch PLM
B703 PLM. Common scroll PLM
B707 PLM. Unused
B70B PLM. Elevator platform
B70F PLM. Inside reaction, treadmill, BTS Crateria/Debug 80h
B713 PLM. Inside reaction, treadmill, BTS Maridia 80h/81h/82h
B717 PLM. Unused. Clone of PLM B713
B71B PLM. Unused. Clone of PLM B713
B71F PLM. Inside reaction, treadmill, BTS Maridia 83h
B723 PLM. Inside reaction, treadmill, BTS Maridia 84h
B727 PLM. Inside reaction, treadmill, BTS Maridia 85h
B72B PLM. Collision reaction, treadmill/crumble block, BTS Maridia 80h/81h/82h
B72F PLM. Unused
B733 PLM. Unused
B737 PLM. Collision reaction, treadmill/crumble block, BTS 83h
B73B PLM. Collision reaction, treadmill/crumble block, BTS 84h
B73F PLM. Collision reaction, treadmill/crumble block, BTS 85h
B743 PLM. Unused
B747 PLM
B74B PLM
B74F PLM
B753 PLM
B757 PLM
B75B PLM. Unused
B75F PLM. Unused
B763 PLM
B767 PLM
B76B PLM. Collision reaction, treadmill/crumble block, BTS 4Dh. Save station detect block
B76F PLM. Save station
B773 PLM
B777 PLM
B77B Instructions. PLM B781
B781 PLM
B785 Instructions. PLM B78B
B78B PLM
B78F PLM
B793 PLM
B797 PLM
B79B PLM. Crumble Botwoon wall
B79F PLM. Unused. Set Kraid ceiling block to background 1
B7A3 PLM. Crumble Kraid ceiling block into background 1
B7A7 PLM. Set Kraid ceiling block to background 2
B7AB PLM. Crumble Kraid ceiling block into background 2
B7AF PLM. Set Kraid ceiling block to background 3
B7B3 PLM. Crumble Kraid ceiling block into background 3
B7B7 PLM. Clear Kraid ceiling blocks
B7BB PLM. Clear Kraid spike blocks
B7BF PLM. Crumble Kraid spike blocks
}

Misc.
{
B7C3 Setup. Enable sounds in 20 frames, or F0 frames if on Ceres
B7DD Pre-instruction. Pre-instruction code for something
B7E9 Instructions. PLM B7EB
B7EB PLM. Enable sounds in 20 frames, or F0 frames if on Ceres
B7EF Pre-instruction. Speedbooster check, if speedbooster is collected, set liquid raising speed and wake up PLM. Otherwise delete PLM
B82A Pre-instruction. Position check, if Samus is far enough left start FX1 motion and wake up PLM
B846 Pre-instruction. If Samus is left of Arg1 and the liquid is above Arg2, set speed to Arg3 and move to next entry. Set event when done (Arg1 = negative)
B88A Instructions. PLM B8AC
B89C Setup. If event set, delete PLM
B8AC PLM. Post speed booster rising lava
B8B0 Pre-instruction. If Samus is right of a point, set Shaktool event and delete self. Also maybe set scrolling
B8D6 Instructions. PLM B8EB
B8DC Setup. Set up scrolls in Shaktool room
B8EB PLM. Shaktool event
B8EF Setup. RTS
B8F0 Instructions. PLM B8F9
B8F9 PLM. Spawned by Maridian elevatube
B8FD If Samus is below and right of a point, wake up PLM (also sorta CLC)
B919 Instructions. PLM B9C1
B927 Pre-instruction. Spawn object if Samus below and right of spot
B940 Instructions. PLM B968
B948 Pre-instruction. Set liquid stuff if Samus below and right of spot
B964 PLM. Old Tourian escape shaft escape
B968 PLM. Escape room before old escape shaft
B96C Setup. $26=0000, $28=$FFFF
B974 PLM. Shot/bomb reaction, shootable air/shot block, BTS 10h
B978 Setup. Set up clipdata of Critters escape blocks
B9A2 Instructions. PLM B9C1
B9B9 Instruction. Set event F (saved Etecoons and Dachara)
B9C1 PLM. Shot/bomb reaction, shootable air/shot block, BTS 4Fh. Critters escape block reaction
B9C5 Setup. Set up shotblocks in Bomb Torizo room during escape
B9ED PLM. Shotblocks in Bomb Torizo room during escape
B9F1 Setup. Make this and the three blocks below it solid
BA48 PLM. Turn door to solid blocks
BA4C Instructions. Door BAF4
BA6F Instruction. If Samus does not have bombs, go to argument
BA7F Instructions. Door BAF4
BAD1 Setup. Unused. ???
BAF4 Door. Bomb Torizo grey door
BAFA Unused. PLM BB05 setup and pre-instruction used in instruction BAFF. Does nothing
BAFF Instructions. PLM BB05
BB05 PLM. Does nothing
BB19 Instructions. PLM BB30
BB25 Instruction. Move PLM right 4 blocks
BB30 PLM. Crateria Mainstreet escape PLM (clears a few blocks after saving animals)
BB34 Instructions. Door C8CA
BB3A Instructions. Unused
BB44 Instructions. Door C8CA, PLM C8D0
BB52 Pre-instruction. Wakeup trigger when shot
BB6B Pre-instruction. If Samus is below PLM or if shot, wake up
BBA4 Pre-instruction. If Samus above PLM or if shot, wakeup
BBDD Instruction. Clear check
BBE1 Instruction. Spawn argument as a room object
BBF0 Instruction. Find the room object that has this PLM's position stored, and wake it up. Crashes if fails
}

Instruction lists
{
BC13 Instructions. PLM C826
BC3A Instructions. PLM C82A
BC61 Instructions. PLM C82E
BC88 Instructions. PLM C832
BCAF Instructions. PLM C836
BCB5 Instructions. PLM C836
BCBB Instructions. PLM C836
BCC1 Instructions. PLM C836
BCC7 Instructions. PLM C836
BCCD Instructions. PLM C836
BCD3 Instructions. PLM C836
BCD9 Instructions. PLM C836
BCDF Instructions. PLM C83A
BCE5 Instructions. PLM C83A
BCEB Instructions. PLM C83A
BCF1 Instructions. PLM C83A
BCF7 Instructions. PLM C83A
BCFD Instructions. PLM C83A
BD03 Instructions. PLM C83A
BD09 Instructions. PLM C83A
}

Pre-instructions
{
BD0F Pre-instruction. Go to stored pointer and wake up when shot(?)
BD26 Pre-instruction. Go to stored pointer and wake up when shot with powerbomb
BD50 Pre-instruction. Go to stored pointer and wake up when shot with (super) missile
BD88 Pre-instruction. Go to stored pointer and wake up when shot with super missile
BDB2 Go to stored pointer and clear check
BDC4 Play sound when shot
BDD4 Pre-instruction. Grey door. Open when boss 1 is dead (main area boss)
BDE3 Pre-instruction. Grey door. Open when boss 2 is dead (secondary area boss)
BDF2 Pre-instruction. Grey door. Open when boss 3 is dead (Torizo/Mother Brain)
BE01 Pre-instruction. Grey door. Open when enemy kill quota is met
BE1C Pre-instruction. Grey door. Don't open
BE1F Pre-instruction. Grey door. Delay in Tourian Gate room (closed while 1E6D is positive)
BE30 Pre-instruction. Grey door. Open when critters freed
BE3F Instruction. Use 1E17 to decide what triggers opening the door
}

Instruction lists
{
BE59 Instructions. Door C842
BE70 Instructions. Door C842
BEC2 Instructions. Door C848
BED9 Instructions. Door C848
BF2B Instructions. Door C84E
BF42 Instructions. Door C84E
BF94 Instructions. Door C854
BFAB Instructions. Door C854
BFFD Instructions. Door C85A
C014 Instructions. Door C85A
C060 Instructions. Door C860
C077 Instructions. Door C860
C0C3 Instructions. Door C866
C0DA Instructions. Door C866
C122 Instructions. Door C86C
C139 Instructions. Door C86C
C185 Instructions. Door C872
C19C Instructions. Door C872
C1E4 Instructions. Door C878
C1FB Instructions. Door C878
C243 Instructions. Door C87E
C25A Instructions. Door C87E
C2A2 Instructions. Door C884
C2B9 Instructions. Door C884
C301 Instructions. Door C88A
C318 Instructions. Door C88A
C363 Instructions. Door C890
C37A Instructions. Door C890
C3C5 Instructions. Door C896
C3DC Instructions. Door C896
C427 Instructions. Door C89C
C43E Instructions. Door C89C
C489 Instructions. Door C8A2
C49E Instructions. Door C8A2
C4BA Instructions. Door C8A8
C4CF Instructions. Door C8A8
C4EB Instructions. Door C8AE
C500 Instructions. Door C8AE
C51C Instructions. Door C8B4
C531 Instructions. Door C8B4
}

Setups
{
C54D Setup. If projectile not a super, delete self, else go to C63F
C56C Setup. If projectile not a super, delete self, else go to C647
C58B Setup. If projectile not a missile or super, delete self, else go to C63F
C5AF Setup. If projectile not a missile or super, delete self, else go to C647
C5D3 Setup. If projectile not a power bomb, delete self, else go to C63F
C5F1 Setup. If projectile not a power bomb, delete self, else go to C647
C610 Setup. If projectile not a power bomb, delete self, else go to C63F. Same as C5D3, but without sound
C627 Setup. If projectile not a power bomb, delete self, else go to C647. Same as C5D3, but without sound
C63F Setup. Position + 2 for C64C
C647 Setup. Position - 2 for C64C
C64C Find PLM at spot in A and wake it up
C66A Setup. Set 5 blocks BTS to 10, going down
C694 Setup. Set 5 blocks BTS to 10, going up
C6BE Setup. Spawn ER projectile E659, go to $C66A
C6CB Setup. Spawn ER projectile E675, go to $C694
C6D8 Setup. Call $C66A
C6DC Setup. Call $C694
C6E0 Setup. Get initial instruction for this PLM, and block type / BTS for gate shotblock
C73A Setup. Get initial instruction for this PLM, and block type / BTS for upside-down gate shotblock
C794 Setup. Grey door setup
C7B1 Setup. Door setup
C7BB Setup. Blue door setup: If projectile was not a powerbomb, change to solid
C7E2 Setup. Find the PLM on the same spot and tell it what hit it
}

PLM entries
{
C806 PLM. Shot/bomb reaction, shootable air/shot block, BTS 4Ah. Left green gate trigger
C80A PLM. Shot/bomb reaction, shootable air/shot block, BTS 4Bh. Right green gate trigger
C80E PLM. Shot/bomb reaction, shootable air/shot block, BTS 48h. Left red gate trigger
C812 PLM. Shot/bomb reaction, shootable air/shot block, BTS 49h. Right red gate trigger
C816 PLM. Shot/bomb reaction, shootable air/shot block, BTS 46h. Left blue gate trigger
C81A PLM. Shot/bomb reaction, shootable air/shot block, BTS 47h. Right blue gate trigger
C81E PLM. Shot/bomb reaction, shootable air/shot block, BTS 4Ch. Left orange gate trigger
C822 PLM. Shot/bomb reaction, shootable air/shot block, BTS 4Dh. Right orange gate trigger
C826 PLM. Normal open gate
C82A PLM. Normal closed gate
C82E PLM. Upwards open gate
C832 PLM. Upwards closed gate
C836 PLM. Gate shotblock
C83A PLM. Upside-down gate shotblock
C83E PLM. Shot/bomb reaction, shootable air/shot block, BTS 44h / Collision reaction, treadmill/crumble block, BTS 44h. Generic shot trigger for a PLM
C842 Door. Grey facing left
C848 Door. Grey facing right
C84E Door. Grey facing up
C854 Door. Grey facing down
C85A Door. Yellow facing left
C860 Door. Yellow facing right
C866 Door. Yellow facing up
C86C Door. Yellow facing down
C872 Door. Green facing left
C878 Door. Green facing right
C87E Door. Green facing up
C884 Door. Green facing down
C88A Door. Red facing left
C890 Door. Red facing right
C896 Door. Red facing up
C89C Door. Red facing down
C8A2 Door. Shot/bomb reaction, shootable air/shot block, BTS 40h. Blue facing left
C8A8 Door. Shot/bomb reaction, shootable air/shot block, BTS 41h. Blue facing right
C8AE Door. Shot/bomb reaction, shootable air/shot block, BTS 42h. Blue facing up
C8B4 Door. Shot/bomb reaction, shootable air/shot block, BTS 43h. Blue facing down
C8BA PLM. Blue door closing facing left
C8BE PLM. Blue door closing facing right
C8C2 PLM. Blue door closing facing up
C8C6 PLM. Blue door closing facing down
C8CA Door. Gate that closes during escape in room after Mother Brain kill
C8D0 PLM. PLM version of the above
}

Instruction lists
{
C8D4 Instructions. PLM CFEC
C8DA Instructions. PLM CFF0
C8E0 Instructions. PLM CFF4
C8E6 Instructions. PLM CFF8
C8EC Instructions. PLM CFFC
C8F2 Instructions. PLM D000
C8F8 Instructions. PLM D004
C8FE Instructions. PLM D008
C904 Instructions. PLM D00C
C90A Instructions. PLM D010
C910 Instructions. PLM D014
C916 Instructions. PLM D018
C91C Instructions. PLM D01C
C922 Instructions. PLM D020
C928 Instructions. PLM D024
C92E Instructions. PLM D028
C951 Instructions. PLM D030
C974 Instructions. PLM D038
C997 Instructions. PLM D03C
C9BA Instructions. PLM D02C
C9CF Instructions. PLM D034
C9E4 Instructions. PLM D040
C9F9 Instructions. PLM D044
CA1C Instructions. PLM D048
CA41 Instructions. PLM D04C
CA66 Instructions. PLM D050
CA8B Instructions. PLM D054
CAA0 Instructions. PLM D058
CAB5 Instructions. PLM D05C
CACA Instructions. PLM D060
CADF Instructions. PLM D064
CB02 Instructions. PLM D068
CB27 Instructions. PLM D06C
CB4C Instructions. PLM D070
CB71 Instructions. PLM D08C
CB94 Instructions. PLM D084
CBB7 Instructions. PLM D074
CBCC Instructions. PLM D078
CBE1 Instructions. PLM D07C
CBF6 Instructions. PLM D080
CC0B Instructions. PLM D090
CC20 Instructions. PLM D088
CC35 Instructions. PLM D098
CC3C Instructions. PLM D0B8
CC5F Instructions. PLM D09C
CC66 Instructions. PLM D0BC
CC8B Instructions. PLM D0A0
CC92 Instructions. PLM D0C0
CCB7 Instructions. PLM D0A4
CCBE Instructions. PLM D0C4
CCE3 Instructions. PLM D0A8
CCEA Instructions. PLM D0C8
CCFF Instructions. PLM D0AC
CD06 Instructions. PLM D0CC
CD1B Instructions. PLM D0B0
CD22 Instructions. PLM D0D0
CD37 Instructions. PLM D0B4
CD3E Instructions. PLM D0D4
CD53 Instructions. PLM D094
CD68 Instructions. PLM D0D8, D0E4, D0E8
CD6A Instructions. PLM D0DC
CD93 Instruction. Set BTS to 01
CDA9 Instructions. PLM D0E0
}

Setups
{
CDC2 Setup. Turn to air if Samus is screw attacking, else delete self
CDEA Setup. If Samus is speedboosting (or in a shinespark pose) break block, else delete self
CE37 Setup. If Samus collided with block from above, break block (though still solid for the moment). Else delete self
CE6B Setup. Set block type to solid, store type and new graphic to 1E17
CE83 Setup. If Samus speedboosting or shinesparking, break block. Else delete self
CEDA Setup. If hit by powerbomb, skip first 3 bytes of instructions. If hit by any bomb, setup 1E17 and break, else delete self
CF2E Setup. If hit by powerbomb, break. If hit by a bomb, reveal block
CF67 Setup. If hit by super missile, break. If hit by a bomb, reveal block
CFA0 Setup. If hit by anything other than a bomb, delete self
CFB5 Setup. Store block type, set BTS to 0. Also sets V and C
CFCD Setup. Set V and C
CFD1 Setup. Clear V, set C
CFD5 Setup. Deal 1 atmospheric damage to Samus. Set V and C
}

PLM entries
{
CFEC PLM. Unused. Draws 1x1 shot block
CFF0 PLM. Unused. Draws 1x2 shot block
CFF4 PLM. Unused. Draws 2x1 shot block
CFF8 PLM. Unused. Draws 2x2 shot block
CFFC PLM. Bomb reaction, crumble block, BTS 00/04. 1x1 respawning crumble block
D000 PLM. Bomb reaction, crumble block, BTS 01/05. 2x1 respawning crumble block
D004 PLM. Bomb reaction, crumble block, BTS 02/06. 1x2 respawning crumble block
D008 PLM. Bomb reaction, crumble block, BTS 03/07. 2x2 respawning crumble block
D00C PLM. Unused
D010 PLM. Unused
D014 PLM. Unused
D018 PLM. Unused
D01C PLM. Unused
D020 PLM. Unused
D024 PLM. Bomb reaction, crumble block, BTS 0E/0F / Brinstar 82/83/84/85. Speed block
D028 PLM. Unused
D02C PLM. Unused
D030 PLM. Collision reaction, treadmill/crumble block, BTS Brinstar 82
D034 PLM. Collision reaction, treadmill/crumble block, BTS Brinstar 83
D038 PLM. Collision reaction, treadmill/crumble block, BTS 0E
D03C PLM. Collision reaction, treadmill/crumble block, BTS Brinstar 84
D040 PLM. Collision reaction, treadmill/crumble block, BTS 0F / Brinstar 85
D044 PLM. Collision reaction, treadmill/crumble block, BTS 00. 1x1 respawning crumble block touched
D048 PLM. Collision reaction, treadmill/crumble block, BTS 01. 
D04C PLM. Collision reaction, treadmill/crumble block, BTS 02. 
D050 PLM. Collision reaction, treadmill/crumble block, BTS 03. 
D054 PLM. Collision reaction, treadmill/crumble block, BTS 04. 
D058 PLM. Collision reaction, treadmill/crumble block, BTS 05. 
D05C PLM. Collision reaction, treadmill/crumble block, BTS 06. 
D060 PLM. Collision reaction, treadmill/crumble block, BTS 07. 
D064 PLM. Shot/bomb reaction, shootable air/shot block, BTS 00. 1x1 respawning shot block
D068 PLM. Shot/bomb reaction, shootable air/shot block, BTS 01. 2x1 respawning shot block
D06C PLM. Shot/bomb reaction, shootable air/shot block, BTS 02. 1x2 respawning shot block
D070 PLM. Shot/bomb reaction, shootable air/shot block, BTS 03. 2x2 respawning shot block
D074 PLM. Shot/bomb reaction, shootable air/shot block, BTS 04. 1x1 shot block
D078 PLM. Shot/bomb reaction, shootable air/shot block, BTS 05. 2x1 shot block
D07C PLM. Shot/bomb reaction, shootable air/shot block, BTS 06. 1x2 shot block
D080 PLM. Shot/bomb reaction, shootable air/shot block, BTS 07. 2x2 shot block
D084 PLM. Shot/bomb reaction, shootable air/shot block, BTS 08. Respawning power bomb block
D088 PLM. Shot/bomb reaction, shootable air/shot block, BTS 09. Power bomb block
D08C PLM. Shot/bomb reaction, shootable air/shot block, BTS 0A. Respawning super missile block
D090 PLM. Shot/bomb reaction, shootable air/shot block, BTS 0B. Super missile block
D094 PLM. Enemy collision reaction, spike block, BTS 0F. Enemy breakable block
D098 PLM. Collision reaction, bomb block / bombable air, BTS 00. 1x1 respawning bomb block
D09C PLM. Collision reaction, bomb block / bombable air, BTS 01. 2x1 respawning bomb block
D0A0 PLM. Collision reaction, bomb block / bombable air, BTS 02. 1x2 respawning bomb block
D0A4 PLM. Collision reaction, bomb block / bombable air, BTS 03. 2x2 respawning bomb block
D0A8 PLM. Collision reaction, bomb block / bombable air, BTS 04. 1x1 bomb block collision
D0AC PLM. Collision reaction, bomb block / bombable air, BTS 05. 2x1 bomb block collision
D0B0 PLM. Collision reaction, bomb block / bombable air, BTS 06. 1x2 bomb block collision
D0B4 PLM. Collision reaction, bomb block / bombable air, BTS 07. 2x2 bomb block collision
D0B8 PLM. Shot/bomb reaction, bomb block / bombable air, BTS 00. 1x1 respawning bomb block
D0BC PLM. Shot/bomb reaction, bomb block / bombable air, BTS 01. 2x1 respawning bomb block
D0C0 PLM. Shot/bomb reaction, bomb block / bombable air, BTS 02. 1x2 respawning bomb block
D0C4 PLM. Shot/bomb reaction, bomb block / bombable air, BTS 03. 2x2 respawning bomb block
D0C8 PLM. Shot/bomb reaction, bomb block / bombable air, BTS 04. 1x1 bomb block
D0CC PLM. Shot/bomb reaction, bomb block / bombable air, BTS 05. 2x1 bomb block
D0D0 PLM. Shot/bomb reaction, bomb block / bombable air, BTS 06. 1x2 bomb block
D0D4 PLM. Shot/bomb reaction, bomb block / bombable air, BTS 07. 2x2 bomb block
D0D8 PLM. Grapple block grappled
D0DC PLM. Respawning breakable grapple block grappled
D0E0 PLM. Breakable grapple block grappled
D0E4 PLM. Spike grappled
D0E8 PLM. Draygon's broken turret grappled
D0EC Instructions. PLM D0E8
D0F2 PLM. Unused. Blue Brinstar face-block
D0F6 Instructions. PLM D113
D113 PLM. Shotblock crumbling
D117 Setup. Store normal shot block to block?
D121 Instructions. PLM D127
D127 PLM. Unused. Shot block
D12B Setup. Store normal grapple block to block?
D135 Instructions. PLM D13B
D13B PLM. Unused. Grapple block
}

Instructions and instruction lists
{
D13F Instructions. PLM D6D6
D155 Instruction. Set's liquid height to bottom of third screen
D18E RTS
D18F Setup. LN Chozo hand block
D202 Instructions. PLM D6DE, D6E2, D6E6
D2F9 Instruction. If argument 1 matches room argument, go to argument 2
D30B Instruction. I'm assuming this spawns glass shrapnel when MB's glass is shattering
D357 Instruction. Spawn object A993 with argument argument
D368 Instructions. PLM D6EA
D3C7 Instruction. Set music track to 6
D3CF Instructions. PLM D6F8
D3D7 Instruction. Set top of Wrecked Ship Chozo slope to slopes
D3EC Instructions. PLM D6FC
D3F4 Instruction. Set top of Wrecked Ship Chozo slope to spikes
D426 Instructions. PLM D700
D44E Instructions. PLM D704
D476 Instruction. Set liquid target, speed, and delay
D489 Instruction. Set liquid level to bottom of third screen. Clone of D155
D490 Instructions. PLM D708
D4BE RTS
D4D4 Instructions. PLM D70C
D525 Instruction. Set liquid to affect Samus after all
D52C Instruction. Create object, hardcoded
D536 Instruction. Make room shake for 40 frames
D543 Instruction. Create... a LOT of room objects
D5E6 Instruction. Disable Samus's controls
D5EE Instruction. Enable Samus's controls
}

Setups
{
D5F6 Setup. Clear room argument, set block type
D606 Setup. Delete self if boss 3 dead
D616 Setup. Set block type
D620 Setup. If boss 1 is dead, hit from above, and Samus is in a morph ball pose, disable Samus's controls, enable enemy, and some more stuff.
D67F Setup. Sets block type
D689 Setup. Sets block type
D693 Setup. Sets block type for 4 blocks.
D6CC Setup. Sets block type. A clone.
}

PLM entries
{
D6D6 PLM. Lower Norfair Chozo hand
D6DA PLM. Collision reaction, treadmill/crumble block, BTS Norfair 83h. Lower Norfair Chozo hand check
D6DE PLM. Mother Brain's glass
D6E2 PLM. Unused. Mother Brain's glass, Mother Brain dead
D6E6 PLM. Unused. Mother Brain's glass, no glass state
D6EA PLM. Bomb Torizo's crumbling Chozo
D6EE PLM. Wrecked Ship Chozo hand
D6F2 PLM. Collision reaction, treadmill/crumble block, BTS Wrecked Ship 80. Wrecked Ship Chozo hand check
D6F6 RTS
D6F7 RTS
D6F8 PLM. Clear slope access for Wrecked Ship Chozo
D6FC PLM. Block slope access for Wrecked Ship Chozo
D700 PLM. Unused. If room argument boss alive: draw Wrecked Ship 3x3 block, set room argument boss when bombed
D704 PLM. Unused. Power bomb version of Lower Norfair Chozo hand
D708 PLM. Unused. If room argument boss alive: draw Lower Norfair 2x2 block, set room argument boss when shot
D70C PLM. n00b tube
}

Instructions
{
D710 Pre-instruction. If Samus is within 4 blocks of this PLM, go to stored pointer and activate
D753 Pre-instruction. If room argument's door has been opened, wake up PLM
D77A Instruction. Create an object with the argument argument. Also play a sound
D790 Instruction. Create an object with the argument argument
D79F Instruction. Create a few objects
D7B6 Instruction. Create an object
D7C3 Instruction. Move PLM up a block, setup that block and the 3 below it
D7DA Instruction. Move PLM up a block, setup that block and the 3 below it
}

Instruction lists
{
D81E Instructions. PLM DB56, door DB5A
D91F Instructions. PLM DB60
D955 Instructions. PLM DB48, door DB4C
DA56 Instructions. PLM DB52
}

Misc.
{
DA8C Setup. If room argument's door bit isn't set, setup two blocks.
DAB9 Setup. If room argument's door bit isn't set, setup block.
DAD5 RTS
DAD6 RTS
DAD7 RTS
DAD8 RTS
DAD9 RTS
DADA RTS
DADB RTS
DADC RTS
DADD RTS
DADE Pre-instruction. Set Metroids cleared 1 if enemy death target reached
DAEE Pre-instruction. Set Metroids cleared 2 if enemy death target reached
DAFE Pre-instruction. Set Metroids cleared 3 if enemy death target reached
DB0E Pre-instruction. Set Metroids cleared 4 if enemy death target reached
DB1E Setup. Get pointer to check code using room argument as index
DB42 Instructions. PLM DB44
}

PLM entries
{
DB44 PLM. Sets Metroids cleared states when required
DB48 PLM. Eye door eye, facing right
DB4C Door. Eye door, facing right
DB52 PLM. Eye door bottom, facing right
DB56 PLM. Eye door eye, facing left
DB5A Door. Eye door, facing left
DB60 PLM. Eye door bottom, facing left
}

Instructions
{
DB64 Pre-instruction. If hit by missile or super, go to stored pointer. Supers are an automatic 119 to counter
DB8E Instruction. Sets two blocks and (1E17)
DBB8 Instruction. Sets 4 blocks and (1E17)
DBF7 Instruction. Sets 4 blocks and (1E17)
DC36 Instruction. Sets 2 blocks and (1E17). Exact clone of DB8E
DC60 Instruction. Sets 4 blocks and (1E17). Left wall
DC9F Instruction. Set 4 blocks and (1E17). Left wall
}

Instruction lists
{
DCDE Instructions. PLM DF59, DF65
DD27 Instructions. PLM DF5D, DF69
DD70 Instructions. PLM DF61, DF6D
DDB9 Instructions. PLM DF71, DF7D
DE02 Instructions. PLM DF75, DF81
DE4B Instructions. PLM DF79, DF85
}

Setup
{
DE94 Setup. Copy and clear room argument, set 2 blocks
DEB9 Setup. Copy and clear room argument, set 4 blocks.
DEF0 Setup. Copy and clear room argument, set 2 blocks. Exact clone of DE94
DF15 Setup. Copy and clear room argument, set 4 blocks.
DF4C Setup. Copy room argument, set it to 3.
}

PLM entries
{
DF59 PLM. Draygon cannon, with shield, facing right
DF5D PLM. Unused. Draygon cannon, with shield, facing down-right
DF61 PLM. Unused. Draygon cannon, with shield, facing up-right
DF65 PLM. Draygon cannon, facing right
DF69 PLM. Unused. Draygon cannon, facing down-right
DF6D PLM. Unused. Draygon cannon, facing up-right
DF71 PLM. Draygon cannon, with shield, facing left
DF75 PLM. Unused. Draygon cannon, with shield, facing down-left
DF79 PLM. Unused. Draygon cannon, with shield, facing up-left
DF7D PLM. Dragon cannon, facing left
DF81 PLM. Unused. Draygon cannon, facing down-left
DF85 PLM. Unused. Draygon cannon, facing up-left
}

Instruction lists
{
DF89 Pre-instruction. If touched? then go to stored pointer
DFA9 Instructions. Draw single air block
DFAF Instructions. Item orb
DFC7 Instructions. Item orb burst
DFD7 Instructions. Unused. Draw single air block for 176 frames (incomplete reconceling orb)
DFE6 Pre-instruction. If touched by Samus? wake up PLM. Also pointless PB check?
E007 Instructions. Item shot block
E020 Instructions. Item shot block reconcealing
E032 Instructions. Draw single air block for 176 frames, then reconceal item shot block
E04F Instruction. Draw custom-graphic PLM from a table depending on variable RAM. 4 delay
E067 Instruction. Draw custom-graphic PLM from a table depending on variable RAM. 4 delay
E099 Instructions. PLM EED7
E0BE Instructions. PLM EEDB
E0E3 Instructions. PLM EEDF
E108 Instructions. PLM EEE3
E12D Instructions. PLM EEE7
E15B Instructions. PLM EEEB
E189 Instructions. PLM EEEF
E1B7 Instructions. PLM EEF3
E1E5 Instructions. PLM EEF7
E213 Instructions. PLM EEFB
E241 Instructions. PLM EEFF
E26F Instructions. PLM EF03
E29D Instruction. Clear charge beam
E2A1 Instructions. PLM EF07
E2D6 Instructions. PLM EF0B
E30B Instructions. PLM EF0F
E338 Instructions. PLM EF13
E366 Instructions. PLM EF17
E393 Instructions. PLM EF1B
E3C1 Instructions. PLM EF1F
E3EF Instructions. PLM EF23
E41D Instructions. PLM EF27
E44A Instructions. PLM EF2B
E47C Instructions. PLM EF2F
E4AE Instructions. PLM EF33
E4E0 Instructions. PLM EF37
E512 Instructions. PLM EF3B
E54D Instructions. PLM EF3F
E588 Instructions. PLM EF43
E5C3 Instructions. PLM EF47
E5FE Instructions. PLM EF4B
E63B Instruction. Set liquid speed to -20
E642 Instructions. PLM EF4F
E67D Instructions. PLM EF53
E6B8 Instructions. PLM EF57
E6F3 Instructions. PLM EF5B
E735 Instructions. PLM EF5F
E777 Instructions. PLM EF63
E7B1 Instructions. PLM EF67
E7EC Instructions. PLM EF6B
E826 Instructions. PLM EF6F
E861 Instructions. PLM EF73
E89C Instructions. PLM EF77
E8D7 Instructions. PLM EF7B
E911 Instructions. PLM EF7F
E949 Instructions. PLM EF83
E981 Instructions. PLM EF87
E9B9 Instructions. PLM EF8B
E9F1 Instructions. PLM EF8F
EA32 Instructions. PLM EF93
EA73 Instructions. PLM EF97
EAB4 Instructions. PLM EF9B
EAF5 Instructions. PLM EF9F
EB36 Instructions. PLM EFA3
EB77 Instructions. PLM EFA7
EBB8 Instructions. PLM EFAB
EBF9 Instructions. PLM EFAF
EC41 Instructions. PLM EFB3
EC89 Instructions. PLM EFB7
ECC9 Instructions. PLM EFBB
ED0A Instructions. PLM EFBF
ED4A Instructions. PLM EFC3
ED8B Instructions. PLM EFC7
EDCC Instructions. PLM EFCB
EE0D Instructions. PLM EFCF
}

Setups
{
EE4D Setup. Energy tank
EE52 Setup. Missile tank
EE57 Setup. Super missile tank
EE5C Setup. Power bomb tank
EE64 Setup. Ability
EE77 Setup. Energy tank shot block
EE7C Setup. Missile tank shot block
EE81 Setup. Super missile tank shot block
EE86 Setup. Power bomb tank shot block
EE8E Setup. Ability shot block
EEAB Setup. Find the PLM on this spot and alert it that Samus touched it?
}

PLM entries
{
EED3 PLM. Shot/bomb reaction, shootable air/shot block, BTS 45h / Collision reaction, treadmill/crumble block, BTS 45h. Item collision detection
EED7 PLM. Energy tank
EEDB PLM. Missile tank
EEDF PLM. Super missile tank
EEE3 PLM. Power bomb tank
EEE7 PLM. Bombs
EEEB PLM. Charge beam
EEEF PLM. Ice beam
EEF3 PLM. Hi-jump
EEF7 PLM. Speed booster
EEFB PLM. Wave beam
EEFF PLM. Spazer beam
EF03 PLM. Spring ball
EF07 PLM. Varia suit
EF0B PLM. Gravity suit
EF0F PLM. X-ray scope
EF13 PLM. Plasma beam
EF17 PLM. Grapple beam
EF1B PLM. Space jump
EF1F PLM. Screw attack
EF23 PLM. Morph ball
EF27 PLM. Reserve tank
EF2B PLM. Energy tank, chozo orb
EF2F PLM. Missile tank, chozo orb
EF33 PLM. Super missile tank, chozo orb
EF37 PLM. Power bomb tank, chozo orb
EF3B PLM. Bombs, chozo orb
EF3F PLM. Charge beam, chozo orb
EF43 PLM. Ice beam, chozo orb
EF47 PLM. Hi-jump, chozo orb
EF4B PLM. Speed booster, chozo orb
EF4F PLM. Wave beam, chozo orb
EF53 PLM. Spazer beam, chozo orb
EF57 PLM. Spring ball, chozo orb
EF5B PLM. Varia suit, chozo orb
EF5F PLM. Gravity suit, chozo orb
EF63 PLM. X-ray scope, chozo orb
EF67 PLM. Plasma beam, chozo orb
EF6B PLM. Grapple beam, chozo orb
EF6F PLM. Space jump, chozo orb
EF73 PLM. Screw attack, chozo orb
EF77 PLM. Morph ball, chozo orb
EF7B PLM. Reserve tank, chozo orb
EF7F PLM. Energy tank, shot block
EF83 PLM. Missile tank, shot block
EF87 PLM. Super missile tank, shot block
EF8B PLM. Power bomb tank, shot block
EF8F PLM. Bombs, shot block
EF93 PLM. Charge beam, shot block
EF97 PLM. Ice beam, shot block
EF9B PLM. Hi-jump, shot block
EF9F PLM. Speed booster, shot block
EFA3 PLM. Wave beam, shot block
EFA7 PLM. Spazer beam, shot block
EFAB PLM. Spring ball, shot block
EFAF PLM. Varia suit, shot block
EFB3 PLM. Gravity suit, shot block
EFB7 PLM. X-ray scope, shot block
EFBB PLM. Plasma beam, shot block
EFBF PLM. Grapple beam, shot block
EFC3 PLM. Space jump, shot block
EFC7 PLM. Screw attack, shot block
EFCB PLM. Morph ball, shot block
EFCF PLM. Reserve tank, shot block
}